
<form name="editForm" role="form" novalidate ng-submit="vm.save()" show-validation>

    <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                ng-click="vm.clear()">&times;</button>
        <h4 class="modal-title" id="myAllergensLabel" data-translate="probioticApp.allergens.home.createOrEditLabel">Create or edit a Allergens</h4>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" ng-show="vm.allergens.id">
            <label for="id" data-translate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                    ng-model="vm.allergens.id" readonly />
        </div>
        <div class="form-group">
            <label class="control-label" data-translate="probioticApp.allergens.name" for="field_name">Name</label>
            <input type="text" class="form-control" name="name" id="field_name"
                    ng-model="vm.allergens.name"
                    required/>
            <div ng-show="editForm.name.$invalid">
                <p class="help-block"
                    ng-show="editForm.name.$error.required" data-translate="entity.validation.required">
                    This field is required.
                </p>
            </div>
        </div>
        <!--<div class="form-group">-->
            <!--<label class="control-label" data-translate="probioticApp.allergens.timestamp" for="field_timestamp">Timestamp</label>-->
                <!--<div class="input-group">-->
                    <!--<input id="field_timestamp" type="text" class="form-control" name="timestamp" datetime-picker="{{dateformat}}" ng-model="vm.allergens.timestamp" is-open="vm.datePickerOpenStatus.timestamp"-->
                    <!--required/>-->
                    <!--<span class="input-group-btn">-->
                        <!--<button type="button" class="btn btn-default" ng-click="vm.openCalendar('timestamp')"><i class="glyphicon glyphicon-calendar"></i></button>-->
                    <!--</span>-->
                <!--</div>-->
            <!--<div ng-show="editForm.timestamp.$invalid">-->
                <!--<p class="help-block"-->
                    <!--ng-show="editForm.timestamp.$error.required" data-translate="entity.validation.required">-->
                    <!--This field is required.-->
                <!--</p>-->
                <!--<p class="help-block"-->
                    <!--ng-show="editForm.timestamp.$error.ZonedDateTimelocal" data-translate="entity.validation.ZonedDateTimelocal">-->
                    <!--This field should be a date and time.-->
                <!--</p>-->
            <!--</div>-->
        <!--</div>-->

    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal" ng-click="vm.clear()">
            <span class="glyphicon glyphicon-ban-circle"></span>&nbsp;<span data-translate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" ng-disabled="editForm.$invalid || vm.isSaving" class="btn btn-primary">
            <span class="glyphicon glyphicon-save"></span>&nbsp;<span data-translate="entity.action.save">Save</span>
        </button>
    </div>
</form>
